# Uses of Class
serp.bytecode.MultiANewArrayInstruction

Packages that use MultiANewArrayInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of MultiANewArrayInstruction in serp.bytecode

Methods in serp.bytecode that return MultiANewArrayInstruction
Modifier and Type
Method
Description
`MultiANewArrayInstruction`
Code.`multianewarray()`
Create a new multidimensional array; the `multianewarray` opcode.
`MultiANewArrayInstruction`
MultiANewArrayInstruction.`setDimensions(int dims)`
Set the dimensions of the array.

## Uses of MultiANewArrayInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type MultiANewArrayInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterMultiANewArrayInstruction(MultiANewArrayInstruction obj)`
`void`
PrettyPrintVisitor.`enterMultiANewArrayInstruction(MultiANewArrayInstruction obj)`
`void`
BCVisitor.`exitMultiANewArrayInstruction(MultiANewArrayInstruction obj)`